||
Skip to end of metadata
Go to start of metadata

As all WSO2 products are Java applications, you can generally run them on most operating systems. Given below are the JDKs that we have tested our products with:

WSO2 products do not support OpenJDK 9+ and Oracle JDK 9+ at the moment. Expected support date: ~Aug 2019.

JDK Version/s

WSO2 Product/s

Operating System/s

  • CorrettoJDK 8
  • WSO2 API Manager 2.6.0
  • Ubuntu-18.04
  • CentOS-7.5
  • SUSE Linux 12
  • WSO2 Identity Server 5.7.0
  • WSO2 Identity Server 5.8.0
  • Ubuntu 18.04
  • CentOS 7.5
  • SUSE Linux 12
  • WSO2 Enterprise Integrator 6.5.0
  • WSO2 Enterprise Integrator 6.4.0
  • Ubuntu 18.04
  • CentOS 7.5
  • SUSE Linux 12
  • WSO2 Micro Integrator 1.0.0
  • AdoptOpenJDK 8
  • WSO2 API Manager 2.6.0
  • CentOS 7.5
  • SUSE Linux 12
  • WSO2 Identity Server 5.7.0
  • Ubuntu 18.04
  • CentOS 7.5
  • SUSE Linux 12
  • WSO2 Enterprise Integrator 6.5.0
  • WSO2 Enterprise Integrator 6.4.0
  • CentOS 7.5
  • SUSE Linux 12
  • WSO2 Micro Integrator 1.0.0
  • OpenJDK 8
  • WSO2 API Manager 2.6.0
  • CentOS 7.4, CentOS 7.5
  • Windows Server 2016
  • Red Hat Enterprise Linux 7.0
  • SUSE Linux 12
  • WSO2 Identity Server as Key Manager 5.7.0
  • CentOS 7.5
  • Red Hat Enterprise Linux 7.0
  • SUSE Linux 12
  • WSO2 Identity Server 5.7.0
  • CentOS 7.4, CentOS 7.5
  • Windows Server 2016
  • Red Hat Enterprise Linux 7.0
  • SUSE Linux 12
  • WSO2 Enterprise Integrator 6.5.0
  • WSO2 Enterprise Integrator 6.4.0
  • CentOS 7.4
  • Windows Server 2016
  • SUSE Linux 12


  • WSO2 Micro Integrator 1.0.0
  • WSO2 Enterprise Integrator 6.5.0 Tooling
  • WSO2 Enterprise Integrator 6.4.0 Tooling
  • MacOS High Sierra
  • WSO2 API Manager 2.5.0
  • CentOS 7
  • WSO2 API Manager 2.2.0
  • CentOS 7.5
  • WSO2 Identity Server as Key Manager 5.3.0
  • CentOS 7.5
  • Red Hat Enterprise Linux 7.0
  • WSO2 API Manager 2.1.0
  • CentOS 7, CentOS 7.5
  • Red Hat Enterprise Linux 7.0
  • WSO2 Enterprise Integrator 6.3.0
  • WSO2 Enterprise Integrator 6.2.0

  • WSO2 Identity Server 5.5.0
  • Red Hat Enterprise Linux 7.4
  • WSO2 Stream Processor 4.3.0
  • Ubuntu 16.04
  • Oracle JDK 8


  • WSO2 API Manager 2.6.0
  • CentOS 7.4
  • Windows Server 2016
  • WSO2 Identity Server 5.7.0
  • WSO2 Enterprise Integrator 6.5.0
  • WSO2 Enterprise Integrator 6.4.0
  • WSO2 Micro Integrator 1.0.0
  • WSO2 API Manager 2.5.0
  • WSO2 API Manager 2.2.0
  • Windows 7
  • Ubuntu 14.04/16.04/17.10
  • MacOS High Sierra
  • WSO2 Enterprise Integrator 6.5.0 Tooling
  • WSO2 Enterprise Integrator 6.4.0 Tooling
  • MacOS High Sierra
  • WSO2 Enterprise Integrator 6.3.0
  • WSO2 Enterprise Integrator 6.2.0
  • Ubuntu 15.10
  • Ubuntu 16.04
  • Windows 2012 R2
  • WSO2 Enterprise Integrator 6.1.0
  • Windows 10, 7
  • Ubuntu 15
  • Fedora 23
  • RHEL 6.6, 7.0
  • Debian 8
  • WSO2 Identity Server 5.6.0
  • Windows 8, 10
  • Ubuntu 14.04/15/16
  • Fedora 23
  • MacOS High Sierra
  • WSO2 Identity Server 5.5.0
  • Windows 8, 10
  • Ubuntu 14.04/15/16
  • Fedora 23
  • MacOS High Sierra
  • WSO2 Identity Server 5.4.1
  • Windows 8, 10
  • Ubuntu 14.04/15/16
  • Fedora 23
  • MacOS High Sierra
  • WSO2 Identity Server 5.4.0
  • Windows 08

    Identity Server (IS) 5.3.0 and 5.4.0 is not supported on Windows 10, due to an issue with Windows 10 and Java. We will update the information about Windows 10 support once the incompatibility is resolved.

  • Ubuntu 14.04/15/16
  • Fedora 23
  • MacOS High Sierra
  • WSO2 Stream Processor 4.x.x
  • Windows 7,10
  • Ubuntu 16.04, 17.04, 18.04
  • MacOS High Sierra
  • Oracle JDK 7/8
  • WSO2 API Manager 1.10, 2.0.0, 2.1.0 __________________________
  • WSO2 App Manager 1.2.0
  • WSO2 Application Server 5.3.0
  • WSO2 Business Process Server 3.5.0, 3.5.1, 3.6.0
  • WSO2 Business Rules Server 2.2.0
  • WSO2 Complex Event Processor 4.0.0, 4.1.0, 4.2.0
  • WSO2 Dashboard Server 2.0.0
  • WSO2 Data Analytics Server 3.0.0, 3.0.1, 3.1.0
  • WSO2 Data Services Server 3.5.0, 3.5.1
  • WSO2 Micro Integrator 1.0.0 [Only with Oracle JDK 8]
  • WSO2 Enterprise Integrator 6.5.0 [Only with Oracle JDK 8]
  • WSO2 Enterprise Integrator 6.4.0 [Only with Oracle JDK 8]
  • WSO2 Enterprise Integrator 6.3.0 [Only with Oracle JDK 8]
  • WSO2 Enterprise Integrator 6.0.0 [only with Oracle JDKs]
  • WSO2 Enterprise Mobility Manager 2.0.0, 2.0.1, 2.2.0
  • WSO2 Enterprise Store 2.0.0, 2.1.0
  • WSO2 Enterprise Service Bus 4.9.0, 5.0.0
  • WSO2 Governance Registry 5.0.0, 5.0.1, 5.1.0, 5.2.0, 5.3.0
  • WSO2 Identity Server 5.1.0, 5.2.0, 5.3.0
  • WSO2 IoT Server 3.0.0
  • WSO2 Machine Learner 1.0.0, 1.1.0, 1.2.0
  • WSO2 Message Broker 3.0.0, 3.1.0
  • Windows 2012, 10, 7, XP SP2/SP3, 2008 R2
    64bit

    Identity Server (IS) 5.3.0 and 5.4.0 is not supported on Windows 10, due to an issue with Windows 10 and Java. We will update the information about Windows 10 support once the incompatibility is resolved.

  • Ubuntu 12, 13, 14, 15, 16

  • RHEL 5.4, 5.5, 5.8 (Tikanga), 6.5, 7.2

  • CentOS 6.5

  • Mac OSX 10

  • Debian 8

  • Oracle JDK 7/6.*


  • WSO2 Business Rules Server 2.1.0 and earlier
  • WSO2 Enterprise Mobility Manager 1.1.0 and earlier
  • WSO2 Storage Server 1.1.0 and earlier
  • WSO2 API Manager 1.9.1 and earlier
  • WSO2 App Factory 2.1.0 and earlier
  • WSO2 App Manager 1.7.0 and earlier
  • WSO2 Business Activity Monitor 2.5.0 and earlier
  • WSO2 Business Process Server 3.2.0 and earlier
  • WSO2 Complex Event Processor 3.1.0 and earlier
  • WSO2 Data Services Server 3.2.2 and earlier
  • WSO2 Elastic Load Balancer 2.1.1 and earlier
  • WSO2 Enterprise Service Bus 4.8.1 and earlier
  • WSO2 Identity Server 5.0.0 and earlier
  • WSO2 Message Broker 2.2.0 and earlier
  • WSO2 Private PaaS 4.1.1 and earlier
  • WSO2 Task Server 1.1.0 and earlier
  • Ubuntu 14
  • RHEL 5.5

  • CentOS 6.5


WSO2 Mobile AgentsDevice Operating System/s

WSO2 Mobile Agents based on WSO2 IoT 3.0.0.
  • Android 4.2.x - 6
  • iOS 7.0 - 10.0
  • Windows 8.1 - 10


  • SUSE Linux 12
  • No labels